#ifndef CHROMOSOME
#define CHROMOSOME

#define FALSE 0
#define TRUE 1

typedef unsigned char allele;

class Chromosome
{

public:

	Chromosome();
	virtual ~Chromosome();
	
	void Initialize(int howManyAlleles);
	
	void PrintAlleleBits(int whichAllele);
	void PrintAllBits();
	void PrintAllele(int whichAllele);
	void PrintAlleles();
	
	unsigned char GetAllele(int whichAllele);
	void SetAllele(int whichAllele, char newAllele);
	void SetAlleles(int howMany, char * newAlleles);
	int	GetNumAlleles();
	
	void Mutate();
	float Evaluate();
	
private:

	int numAlleles;
	allele* alleles;
};

#endif

